extends Node2D

const WORLD = preload("res://Scenes/World/World.gd")

func _ready():
	var parent = get_parent()
	if parent is WORLD:
		parent.currentLevel = self


func save():
	var data = {
		"filename": get_filename(),
		"parent": get_parent().get_path(),
		"position_x": position.x,
		"position_y": position.y
	}
	return data
